<script>
    $('.add_to_cart_btn').click(function(e) {
        e.preventDefault();
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            }
        });
        var product_id = $('#product_id').val();
        var quantity = $('.in-num').val();
        var price = $('#price').val();
        var item_name = $('#name').val();
        var description = $('#description').val();

        $.ajax({
            url: '{{ route('add.to.cart') }}',
            type: 'post',
            data: {
                'quantity': quantity,
                'product_id': product_id,
                'price': price,
                'item_name': item_name,
                'description': description ? description : '',
            },
            success: function(response) {
                toastr.success(response.status);
                window.location.reload()
            },
        });

    });

    {{--$('.changeQuantity').click(function(e) {--}}
    {{--    e.preventDefault();--}}
    {{--    var $this = $(this);--}}
    {{--    var $qtyInput = $this.siblings('.qty_input');--}}
    {{--    var value = parseInt($qtyInput.val(), 10);--}}
    {{--    value = isNaN(value) ? 0 : value;--}}

    {{--    if ($this.hasClass('increment-btn')) {--}}
    {{--        value++;--}}
    {{--    } else if ($this.hasClass('decrement-btn') && value > 1) {--}}
    {{--        value--;--}}
    {{--    }--}}

    {{--    $qtyInput.val(value);--}}

    {{--    var product_id = $this.closest('.cart-wrap').find('.product_id')--}}
    {{--        .val();--}}

    {{--    var data = {--}}
    {{--        '_token': '{{ csrf_token() }}',--}}
    {{--        'quantity': value,--}}
    {{--        'product_id': product_id,--}}
    {{--    };--}}

    {{--    $.ajax({--}}
    {{--        url: '{{ route('update.to.cart') }}',--}}
    {{--        type: 'POST',--}}
    {{--        data: data,--}}
    {{--        success: function(response) {--}}
    {{--            updateSubtotal(response.subtotal);--}}
    {{--            toastr.success(response.status);--}}
    {{--        }--}}
    {{--    });--}}
    {{--});--}}


    function updateSubtotal(newSubtotal) {
        $('.cart-total span').text('$' + newSubtotal.toFixed(2));
    }

    $('.delete_cart_data').click(function(e) {
        e.preventDefault();
        var product_id = $('.product_id').val();

        var data = {
            '_token': '{{ csrf_token() }}',
            "product_id": product_id,
        };


        $.ajax({
            url: '{{ route('delete.to.cart') }}',
            type: 'post',
            data: data,
            success: function(response) {
                toastr.success(response.status);
                window.location.reload()
            }
        });
    });
    // $('.increment-btn').click(function(e) {
    //     e.preventDefault();
    //     var $qtyInput = $(this).siblings('.qty_input');
    //     var value = parseInt($qtyInput.val(), 10);
    //     value = isNaN(value) ? 0 : value;
    //     value++;
    //     $qtyInput.val(value); // Set the updated value
    //     console.log("Incremented Value:", value);
    // });

    // $('.decrement-btn').click(function(e) {
    //     e.preventDefault();
    //     var $qtyInput = $(this).siblings('.qty_input');
    //     var value = parseInt($qtyInput.val(), 10);
    //     value = isNaN(value) ? 0 : value;

    //     if (value > 1) {
    //         value--;
    //         $qtyInput.val(value); // Set the updated value
    //         console.log("Decremented Value:", value);
    //     } else if (value == 1) {
    //         $(this).prop('disabled', true); // Disable only the clicked button
    //     }
    // });

    function numcounter() {
        const quantityInputs = document.querySelectorAll(".in-num");
        const plusButtons = document.querySelectorAll(".plus");
        const minusButtons = document.querySelectorAll(".minus");
        quantityInputs.forEach((quantityInput, index) => {
            const plusButton = plusButtons[index];
            const minusButton = minusButtons[index];
            if (plusButton && minusButton) {
                plusButton.addEventListener("click", () => {
                    let quantity = parseInt(quantityInput.value, 10);
                    quantityInput.value = quantity + 1;
                });
                minusButton.addEventListener("click", () => {
                    let quantity = parseInt(quantityInput.value, 10);
                    if (quantity > 1) {
                        quantityInput.value = quantity - 1;
                    }
                });
            }
        });
    }

    numcounter();
</script>
